## ros-melodic-leo-teleop 1.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(leo_teleop)

find_package(catkin)

catkin_package()

install(
  DIRECTORY 
    config
    launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(
  PROGRAMS scripts/key_teleop
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/scripts
)

## ros-melodic-leo-teleop 1.1.0

=== debian/changelog ===
ros-melodic-leo-teleop (1.1.0-1stretch) stretch; urgency=high

  * Add leo_teleop package

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-melodic-leo-teleop (1.0.1-1stretch) stretch; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 06 Oct 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-leo-teleop
Section: misc
Priority: optional
Maintainer: Błażej Sowa <blazej@turtlerover.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/leo
Standards-Version: 3.9.2

Package: ros-melodic-leo-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joy, ros-melodic-teleop-twist-joy, ros-melodic-teleop-twist-keyboard
Description: Teleop package for Leo Rover

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-leo-teleop//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-leo-teleop 1.2.2

=== debian/changelog ===
ros-melodic-leo-teleop (1.2.2-1bionic) bionic; urgency=high

  * Add key_teleop.launch which starts the key teleop node in xterm
  * use exec in key_teleop script to not spawn another process
  * Update author and maintainer info

 -- Fictionlab <support@fictionlab.pl>  Fri, 04 Jun 2021 00:00:00 -0000

ros-melodic-leo-teleop (1.2.1-1bionic) bionic; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 18 Dec 2020 00:00:00 -0000

ros-melodic-leo-teleop (1.2.0-1bionic) bionic; urgency=high

  * Update package description
  * Change CMakeLists formatting style

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 18 Dec 2020 00:00:00 -0000

ros-melodic-leo-teleop (1.1.0-1bionic) bionic; urgency=high

  * Add leo_teleop package

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 09 Oct 2020 00:00:00 -0000

ros-melodic-leo-teleop (1.0.1-1bionic) bionic; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 06 Oct 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-leo-teleop
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/leo
Standards-Version: 3.9.2

Package: ros-melodic-leo-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joy, ros-melodic-teleop-twist-joy, ros-melodic-teleop-twist-keyboard
Description: Scripts and launch files for Leo Rover teleoperation
